# MedicalCertificateDocumentFieldType enum

DC document field types

Inheritance
  - Object
  - Enum
  - MedicalCertificateDocumentFieldType

## Constructors

MedicalCertificateDocumentFieldType()
  const

## Values

RequiresCare → const MedicalCertificateDocumentFieldType
Accident → const MedicalCertificateDocumentFieldType
InitialCertificate → const MedicalCertificateDocumentFieldType
RenewedCertificate → const MedicalCertificateDocumentFieldType
WorkAccident → const MedicalCertificateDocumentFieldType
AssignedToAccidentInsuranceDoctor → const MedicalCertificateDocumentFieldType
IncapableOfWorkSince → const MedicalCertificateDocumentFieldType
IncapableOfWorkUntil → const MedicalCertificateDocumentFieldType
DiagnosedOn → const MedicalCertificateDocumentFieldType
DocumentDate → const MedicalCertificateDocumentFieldType
BirthDate → const MedicalCertificateDocumentFieldType
FirstName → const MedicalCertificateDocumentFieldType
LastName → const MedicalCertificateDocumentFieldType
Diagnose → const MedicalCertificateDocumentFieldType
HealthInsuranceNumber → const MedicalCertificateDocumentFieldType
InsuredPersonNumber → const MedicalCertificateDocumentFieldType
Status → const MedicalCertificateDocumentFieldType
PlaceOfOperationNumber → const MedicalCertificateDocumentFieldType
DoctorNumber → const MedicalCertificateDocumentFieldType
ChildNeedsCareFrom → const MedicalCertificateDocumentFieldType
ChildNeedsCareUntil → const MedicalCertificateDocumentFieldType

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
index → int
  A numeric identifier for the enumerated value.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<MedicalCertificateDocumentFieldType>
  A constant List of the values in this enum, in order of their declaration.
  `[RequiresCare, Accident, InitialCertificate, RenewedCertificate, WorkAccident, AssignedToAccidentInsuranceDoctor, IncapableOfWorkSince, IncapableOfWorkUntil, DiagnosedOn, DocumentDate, BirthDate, Firs…`